### Signal

# Gtk TextView::extend-selection

#### Declaration

    gboolean
    extend_selection (
      GtkTextView self,
      GtkTextExtendSelection granularity,
      const GtkTextIter* location,
      const GtkTextIter* start,
      const GtkTextIter* end,
      gpointer user_data
    )

#### Description [src]

Emitted when the selection needs to be extended at `location`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`granularity` | `GtkTextExtendSelection`
| The granularity type.
`location` | `GtkTextIter`
| The location where to extend the selection.
| The data is owned by the caller of the function.
`start` | `GtkTextIter`
| Where the selection should start.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| Where the selection should end.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `GDK_EVENT_STOP` to stop other handlers from being invoked for the event. `GDK_EVENT_PROPAGATE` to propagate the event further.